<?php

  $session = $this->getSession();
  $filter_html = new Yab_Filter_Html();
  $sitefouille_id = $this->getSession()->get('sitefouille_id') ;
    
?>
<div>
<h2 class="page-header">
<?php 
  if($this->getSession()->has('title_precision')){
    echo $this->getSession()->get('title_precision', 'Html');                    
  } 
?>
</h2>
</div>
<div class="col-sm-8">
  <div class="panel panel-default">
    <div class="panel-heading">
      <h3 class="panel-title">Illustrations</h3>
    </div>
    <div class="panel-body">
      
      <div id="carousel-document" class="carousel slide" data-ride="carousel">
        <!-- Indicators -->
        <ol class="carousel-indicators">
        <?php 
          foreach($documents as $key => $value): 
            $class_active = ( $key == 0 ) ? 'class="active" ' : '';
        ?>
          <li data-target="#carousel-document" data-slide-to="<?php echo $key ; ?>" <?php echo $class_active ; ?> ></li>
        <?php endforeach; ?>
        </ol>
      
        <!-- Wrapper for slides -->
        <div class="carousel-inner" role="listbox">
      	<?php 
          foreach($documents as $key => $document):
            $active = ( $key == 0 ) ? 'active' : ''; 
        ?>
          <div class="item <?php echo $active; ?>">
            <img src="<?php echo $document->get('chemin', $filter_html); ?>" alt="..." style="width:100%;height:500px">
            <div class="carousel-caption">
              
              <?php echo $document->get('commentaire', $filter_html); ?>
            </div>
          </div>
        <?php endforeach; ?>
        </div>
        <!-- Controls -->
        <a class="left carousel-control" href="#carousel-document" role="button" data-slide="prev">
          <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
          <span class="sr-only">Previous</span>
        </a>
        <a class="right carousel-control" href="#carousel-document" role="button" data-slide="next">
          <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
          <span class="sr-only">Next</span>
        </a>
      </div>
    </div>
  </div>        
</div>    